org.encog.neural.neat

## Class NEATCODEC

- java.lang.Object
- - org.encog.neural.neat.NEATCODEC

- All Implemented Interfaces:
    Serializable, GeneticCODEC

      public class NEATCODEC
      extends Object
      implements GeneticCODEC, Serializable

  This CODEC is used to create phenomes (NEATNetwork) objects using a genome (NEATGenome). Conversion is only one direction. You are allowed to transform a NEAT genome into a NEATNetwork, but you cannot transform a NEAT phenome back into a genome. The main reason is I have not found a great deal of need to go the other direction. If someone ever does find a need and creates a encode method, please consider contributing it to the Encog project. :) ----------------------------------------------------------------------------- http://www.cs.ucf.edu/~kstanley/ Encog's NEAT implementation was drawn from the following three Journal Articles. For more complete BibTeX sources, see NEATNetwork.java. Evolving Neural Networks Through Augmenting Topologies Generating Large-Scale Neural Networks Through Discovering Geometric Regularities Automatic feature selection in neuroevolution
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NEATCODEC()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MLMethod` | `decode(Genome genome)` Decode the specified genome into a phenome.
    `Genome` | `encode(MLMethod phenotype)` This method is not currently implemented.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NEATCODEC

          public NEATCODEC()

  - ### Method Detail

    - #### decode

          public MLMethod decode(Genome genome)

      Decode the specified genome into a phenome. A phenome is an actual instance of a genome that you can query.
      Specified by:
        `decode` in interface `GeneticCODEC`
      Parameters:
        `genome` - The genome to decode.
      Returns:
        The phenome.

    - #### encode

          public Genome encode(MLMethod phenotype)

      This method is not currently implemented. If you have need of it, and do implement a conversion from a NEAT phenotype to a genome, consider contribution to the Encog project.
      Specified by:
        `encode` in interface `GeneticCODEC`
      Parameters:
        `phenotype` - Not used.
      Returns:
        Not used.

Copyright © 2014. All Rights Reserved.